Bug 284131 - GUI Samba config app in Preferences menu won't add shares.
GUI Samba config app in Preferences menu won't add shares.
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-09 17:20 EDT by Eric Wood
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.2.52-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-17 23:24:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Wood 2007-09-09 17:20:13 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible: Very

Steps to Reproduce:
1. Create an initial Samba configuration using the GUI
2. Create a share for /home/<current username> (in my case, /home/ewood)
3. For me, it began after some days or system restarts. I think it made the
share correctly the first time, but somehow it disappeared and can't be remade.
4. Have Firestarter on and sharing an internet connection. I have SMB ports
open, and I am sharing a USB DSL connection with a local LAN via ethernet.
Actual results: I have no defined shares and cannot create any with the GUI. It
tries to create a share but the dialogue for the creation of a share will not
close after clicking "OK." The share will appear in the list, but after closing
the config app and relaunching, it is not there.

Expected results: Creation of a /home/ewood share that is accessible only to
Samba user ewood, is visible and writable.

Additional info: I also seem to have a problem with browsing smb shares on my
local network from within Gnome. I have not tested any other desktop
environments. I have no shares on the Linux host that will show up for other smb
clients, and I cannot see any other shares.
Comment 1 Nils Philippsen 2007-09-10 02:45:57 EDT
Which version of system-config-samba is this?
Comment 2 Eric Wood 2007-09-11 11:18:26 EDT
Update for 9-11-07: Current version is 1.2.47-1. Now, it may be that adding a PC
sound card and using that instead of built-in audio has actually fixed the
issue. nmb and smb would not start before, whereas now they are running.
System-config-samba continues to err, however. I manually edited the config file
to create a share, and that now shows up in system-config-samba. I was able to
modify the share path for that. I still cannot add a share, however. Symptoms
remain the same.
Comment 3 Nils Philippsen 2007-09-11 12:02:02 EDT
Please check whether the version in updates-testing,
system-config-samba-1.2.51-1.fc7, fixes this.
Comment 4 David Hislop 2007-09-16 19:48:08 EDT
I installed that update and it fixed the problem for me.
Comment 5 David Hislop 2007-09-17 02:56:59 EDT
PS: my hardware is i386, not PowerPC
Comment 6 Nils Philippsen 2007-09-17 05:33:08 EDT
(In reply to comment #4)
> I installed that update and it fixed the problem for me.

I'm pushing that one to stable then. Thanks for testing.

(In reply to comment #5)
> PS: my hardware is i386, not PowerPC

It shouldn't matter, system-config-samba is a noarch package.
Comment 7 Fedora Update System 2007-09-17 23:24:15 EDT
system-config-samba-1.2.52-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.